/**
 * <p>
 * Interact with iOS devices, applications, and views.
 * Victor is designed for use with a Frank server embedded into the iOS application.
 * Victor includes an API and reasonable implementations
 * to use all of the Frank server's features through Java.
 * </p>
 * <p>
 * Victor's primary API includes:
 * </p>
 * <ul>
 * <li>{@link com.dhemery.victor.IosApplication}: a driver that interacts with a running iOS application.</li>
 * <li>{@link com.dhemery.victor.IosDevice}: a driver that interacts with a simulated iOS device.</li>
 * <li>{@link com.dhemery.victor.IosView}: a driver that interacts with a set of views in an iOS application.</li>
 * <li>{@link com.dhemery.victor.IosViewIdentifier}: a mechanism for identifying iOS views.</li>
 * <li>{@link com.dhemery.victor.Victor}: a factory that constructs a complete Victor environment
 * based on a small set of configuration options.</li>
 * </ul>
 */
package com.dhemery.victor;
